Assign Role Permission To User Group

Assign Role Permission To User Group
Assign a role permission to a particular user group

Replaces existing role permission entirety if it exists already for the named role.

Request
URI
PUT
https://{api_host}/suite-api/api/auth/usergroups/{groupId}/permissions
COPY
Path Parameters
string
groupId
Required

Identifier of the user group


Request Body

The role permission to assign.

role-permission of type(s) application/json
Required

Show optional properties

{
    "roleName": "string"
}
"No Custom Example is Available"
boolean
allowAllObjects
Optional

If true then ignore traversal specifications and allow all objects

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
roleName
Required

The role name.

string As uuid As uuid
scopeId
Optional

The id of the scope

array of object
traversal-spec-instances
Optional

Collection of traversal specification instances

Authentication
This operation uses the following authentication methods.
Responses
200

The Updated Role Permissions object

Returns role-permissions of type(s) application/json
"No Custom Example is Available"
array of object
permissions
Optional

list of role permissions


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"roleName":"string"}' https://{api_host}/suite-api/api/auth/usergroups/{groupId}/permissions
                
Auth Operations
GET
Get Current User
GET
Get Assigned Role Permissions For Current User
GET
Get Current User Role Privileges
GET
Get Available Privilege Groups
GET
Get Available Privileges
GET
Get Roles
POST
Create User Role
PUT
Update User Role
DELETE
Delete User Role
GET
Get Role By Name
DELETE
Remove Role Privileges
GET
Get Role Privileges
POST
Add Role Privileges
PUT
Set Role Privileges
DELETE
Delete Scopes
GET
Get All Object Scopes
POST
Create Scope
PUT
Modify Scope
GET
Get Scope
GET
Get Auth Sources
PATCH
Patch Auth Source With Certificate Details
POST
Add Auth Source
PUT
Update Auth Source
PATCH
Patch Test Auth Source
POST
Test Auth Source
GET
Get VIDB Well Known URL
POST
Search User Groups For Auth Source
PUT
Synchronize User Groups
POST
Import Users
POST
Search Users For Auth Source
DELETE
Delete Auth Source
GET
Get Auth Source
GET
Get Auth Source Types
GET
Get Auth Source Type
POST
Acquire Token
POST
Exchange Ops Token With Jwt Token
POST
Release Token
GET
Get Traversal Specs
DELETE
Delete User Groups
GET
Get User Groups
POST
Create User Group
PUT
Modify User Group
GET
Get Assigned Role Permissions For User Group
PUT
Assign Role Permission To User Group
DELETE
Unassigned Role Permission From User Group
PUT
Assign Traversal Spec To User Group
Deprecated
DELETE
Delete User Group
GET
Get User Group
DELETE
Delete Users
GET
Get Users
POST
Create User
PUT
Modify User
PUT
Change Password
DELETE
Delete User
GET
Get User
GET
Get Assigned Role Permissions For User
PUT
Assign Role Permission To User
DELETE
Unassigned Role Permission From User
PUT
Assign Traversal Spec To User
Deprecated